#### D.13.3.30 gitCone

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  gitCone(a, Q, w); a: ideal, Q:bigintmat, w:bigintmat

Purpose:
  Returns the GIT-cone lambda(w), i.e. the intersection of all orbit cones containing the vector w.

Note:
  call this only if you are interested in a single GIT-cone.

Return:
  a cone.

Example:

    LIB "gitfan.lib";
    intmat Q[3][4] =
    1,0,1,0,
    0,1,0,1,
    0,0,1,1;
    ring R = 0,T(1..4),dp;
    ideal a = 0;
    bigintmat w[1][3] = 3,3,1;
    cone lambda = gitCone(a, Q, w);
    rays(lambda);
    ==> 1,0,0,
    ==> 0,1,0,
    ==> 1,1,1
    bigintmat w2[1][3] = 1,1,1;
    cone lambda2 = gitCone(a, Q, w2);
    rays(lambda2);
    ==> 1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.